"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nodeService_1 = require("../services/nodeService");
const scheduler_1 = require("./scheduler");
exports.default = {
    name: 'FixNodeFilenamesJob',
    description: 'Makes sure node files (holding fastd key, name, etc.) are correctly named.',
    async run() {
        await nodeService_1.fixNodeFilenames();
        return scheduler_1.jobResultOkay();
    },
};
//# sourceMappingURL=FixNodeFilenamesJob.js.map