"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.render = void 0;
const graceful_fs_1 = require("graceful-fs");
const errorTypes_1 = __importDefault(require("../utils/errorTypes"));
const logger_1 = __importDefault(require("../logger"));
const Resources = __importStar(require("../utils/resources"));
const indexHtml = __dirname + '/../../client/index.html';
function render(req, res) {
    const data = Resources.getData(req);
    graceful_fs_1.promises.readFile(indexHtml, 'utf8')
        .then(body => Resources.successHtml(res, body.replace(/<body/, '<script>window.__nodeToken = \'' + data.token + '\';</script><body')))
        .catch(err => {
        logger_1.default.tag('frontend').error('Could not read file: ', indexHtml, err);
        return Resources.error(res, { data: 'Internal error.', type: errorTypes_1.default.internalError });
    });
}
exports.render = render;
//# sourceMappingURL=frontendResource.js.map