"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.inCondition = void 0;
const lodash_1 = __importDefault(require("lodash"));
function inCondition(field, list) {
    return {
        query: '(' + field + ' IN (' + lodash_1.default.join(lodash_1.default.times(list.length, lodash_1.default.constant('?')), ', ') + '))',
        params: list,
    };
}
exports.inCondition = inCondition;
//# sourceMappingURL=databaseUtil.js.map