"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = void 0;
const errorTypes_1 = __importDefault(require("../utils/errorTypes"));
const logger_1 = __importDefault(require("../logger"));
const nodeService_1 = require("../services/nodeService");
const Resources = __importStar(require("../utils/resources"));
function get(req, res) {
    // TODO: Promises and types.
    nodeService_1.getNodeStatistics()
        .then(nodeStatistics => Resources.success(res, {
        nodes: nodeStatistics
    }))
        .catch(err => {
        logger_1.default.tag('statistics').error('Error getting statistics:', err);
        return Resources.error(res, { data: 'Internal error.', type: errorTypes_1.default.internalError });
    });
}
exports.get = get;
//# sourceMappingURL=statisticsResource.js.map